<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Gui.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_gui_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Gui.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  created:    2013/03/27</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  filename:   Gui.h</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//  author:     Guillaume Sanahuja</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">//              Copyright Heudiasyc UMR UTC/CNRS 7253</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//  version:    $Id: $</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">//  purpose:    classe definissant une Gui</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">/*********************************************************************/</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#ifndef GUI_H</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#define GUI_H</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_object_8h.html">Object.h</a>&gt;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;EDriverTypes.h&gt;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;vector3d.h&gt;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceirr.html">irr</a> {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">class </span>IrrlichtDevice;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>video {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">class </span>ITexture;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>scene {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">class </span>IAnimatedMesh;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">class </span>ISceneManager;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;}</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">class </span>Object;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">class </span>Euler;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">class </span>Quaternion;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">class </span>Gui_impl;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">class </span>Simulator_impl;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">class </span>Model_impl;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">namespace </span>simulator {</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classflair_1_1simulator_1_1_gui.html">   51</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1simulator_1_1_gui.html">Gui</a>: <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_object.html">core::Object</a> {</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <span class="keyword">friend</span> class ::Simulator_impl;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classflair_1_1simulator_1_1_visualization_camera.html">VisualizationCamera</a>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <a class="code" href="classflair_1_1simulator_1_1_gui.html">Gui</a>(std::string name, <span class="keywordtype">int</span> app_width, <span class="keywordtype">int</span> app_height,</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;      <span class="keywordtype">int</span> scene_width, <span class="keywordtype">int</span> scene_height, std::string media_path,</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;      irr::video::E_DRIVER_TYPE driver_type = irr::video::EDT_OPENGL);</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  ~<a class="code" href="classflair_1_1simulator_1_1_gui.html">Gui</a>();</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  irr::core::vector3df getRotation(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  irr::video::ITexture *getTexture(std::string filename) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  irr::scene::IAnimatedMesh *getMesh(std::string filename) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  irr::scene::ISceneManager *getSceneManager(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  irr::IrrlichtDevice *getDevice(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keywordtype">float</span> getAspectRatio(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keywordtype">void</span> setMesh(std::string file,</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;               irr::core::vector3df position = irr::core::vector3df(0, 0, 0),</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;               irr::core::vector3df rotation = irr::core::vector3df(0, 0, 0),</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;               irr::core::vector3df scale = irr::core::vector3df(1, 1, 1));</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  Gui_impl *pimpl_;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;};</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<a class="code" href="classflair_1_1simulator_1_1_gui.html">Gui</a> *<a class="code" href="namespaceflair_1_1simulator.html#ae9e80df7cec26d47485e223706ad9ba0">getGui</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="keywordtype">bool</span> noGui(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keywordtype">bool</span> isGlExtensionSupported(</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keyword">const</span> std::string &amp;ext); <span class="comment">// check if a extension is supported</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keywordtype">float</span> <a class="code" href="namespaceflair_1_1simulator.html#a1b5518c4b0b9860b7fe83b9517941b67">ToIrrlichtScale</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="keywordtype">float</span> <a class="code" href="namespaceflair_1_1simulator.html#a6df2a9fa0f507ed531a2101341afaabb">ToSimulatorScale</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;irr::core::vector3df <a class="code" href="namespaceflair_1_1simulator.html#a9600e49e9243bb6eff5f12fc87589070">ToIrrlichtCoordinates</a>(irr::core::vector3df vect);</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> T&gt;  irr::core::vector3df <a class="code" href="namespaceflair_1_1simulator.html#a9600e49e9243bb6eff5f12fc87589070">ToIrrlichtCoordinates</a>(<a class="code" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3D&lt;T&gt;</a> vect);</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<a class="code" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a> <a class="code" href="namespaceflair_1_1simulator.html#ae51687a32b0d25175f0c849f1bf84db1">ToSimulatorCoordinates</a>(irr::core::vector3df vect);</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<a class="code" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a> <a class="code" href="namespaceflair_1_1simulator.html#afaa0173b3c906e2841e92a151e5219e3">ToIrrlichtOrientation</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a> quat);</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;} <span class="comment">// end namespace simulator</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="preprocessor">#endif // GUI_H</span></div>
<div class="ttc" id="namespaceflair_1_1simulator_html_afaa0173b3c906e2841e92a151e5219e3"><div class="ttname"><a href="namespaceflair_1_1simulator.html#afaa0173b3c906e2841e92a151e5219e3">flair::simulator::ToIrrlichtOrientation</a></div><div class="ttdeci">core::Quaternion ToIrrlichtOrientation(core::Quaternion quat)</div><div class="ttdoc">Convert to irrlicht orientation. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D</a></div><div class="ttdoc">Class defining a 3D vector. </div><div class="ttdef"><b>Definition:</b> Vector3D.h:29</div></div>
<div class="ttc" id="classflair_1_1simulator_1_1_visualization_camera_html"><div class="ttname"><a href="classflair_1_1simulator_1_1_visualization_camera.html">flair::simulator::VisualizationCamera</a></div><div class="ttdef"><b>Definition:</b> VisualizationCamera.h:41</div></div>
<div class="ttc" id="namespaceflair_1_1simulator_html_ae51687a32b0d25175f0c849f1bf84db1"><div class="ttname"><a href="namespaceflair_1_1simulator.html#ae51687a32b0d25175f0c849f1bf84db1">flair::simulator::ToSimulatorCoordinates</a></div><div class="ttdeci">core::Vector3Df ToSimulatorCoordinates(irr::core::vector3df vect)</div><div class="ttdoc">Convert to simulator coordinates. </div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="namespaceirr_html"><div class="ttname"><a href="namespaceirr.html">irr</a></div><div class="ttdef"><b>Definition:</b> Blade.h:22</div></div>
<div class="ttc" id="classflair_1_1simulator_1_1_gui_html"><div class="ttname"><a href="classflair_1_1simulator_1_1_gui.html">flair::simulator::Gui</a></div><div class="ttdef"><b>Definition:</b> Gui.h:51</div></div>
<div class="ttc" id="_object_8h_html"><div class="ttname"><a href="_object_8h.html">Object.h</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div></div>
<div class="ttc" id="namespaceflair_1_1simulator_html_a9600e49e9243bb6eff5f12fc87589070"><div class="ttname"><a href="namespaceflair_1_1simulator.html#a9600e49e9243bb6eff5f12fc87589070">flair::simulator::ToIrrlichtCoordinates</a></div><div class="ttdeci">irr::core::vector3df ToIrrlichtCoordinates(irr::core::vector3df vect)</div><div class="ttdoc">Convert to irrlicht coordinates. </div></div>
<div class="ttc" id="namespaceflair_1_1simulator_html_a1b5518c4b0b9860b7fe83b9517941b67"><div class="ttname"><a href="namespaceflair_1_1simulator.html#a1b5518c4b0b9860b7fe83b9517941b67">flair::simulator::ToIrrlichtScale</a></div><div class="ttdeci">float ToIrrlichtScale(float value)</div><div class="ttdoc">Convert to irrlicht scale. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:26</div></div>
<div class="ttc" id="namespaceflair_1_1simulator_html_ae9e80df7cec26d47485e223706ad9ba0"><div class="ttname"><a href="namespaceflair_1_1simulator.html#ae9e80df7cec26d47485e223706ad9ba0">flair::simulator::getGui</a></div><div class="ttdeci">Gui * getGui(void)</div><div class="ttdoc">get Gui </div></div>
<div class="ttc" id="namespaceflair_1_1simulator_html_a6df2a9fa0f507ed531a2101341afaabb"><div class="ttname"><a href="namespaceflair_1_1simulator.html#a6df2a9fa0f507ed531a2101341afaabb">flair::simulator::ToSimulatorScale</a></div><div class="ttdeci">float ToSimulatorScale(float value)</div><div class="ttdoc">Convert to simulator scale. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6c18a444e32a4cd48a96c3b539dd8d1b.html">FlairSimulator</a></li><li class="navelem"><a class="el" href="dir_601030f00f475cf118bb493a6f5bdaf5.html">src</a></li><li class="navelem"><b>Gui.h</b></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
